AccessException (Java SE 22 & JDK 22)
Description: declaration: module: java.rmi, package: java.rmi, class: AccessException
Keywords: java.rmi.AccessException class

Module java.rmi
Package java.rmi

# Class AccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.AccessException

All Implemented Interfaces:
  `Serializable`

public class AccessException extends RemoteException
An `AccessException` is thrown by certain methods of the `java.rmi.Naming` class (specifically `bind`, `rebind`, and `unbind`) to indicate that the caller does not have permission to perform the action requested by the method call. If the method was invoked from a non-local host, then an `AccessException` is thrown.

Since:
  1.1
See Also:
  - `Naming`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class java.rmi.RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessException(String s)`
  Constructs an `AccessException` with the specified detail message.
  `AccessException(String s, Exception ex)`
  Constructs an `AccessException` with the specified detail message and nested exception.

- ## Method Summary

  ### Methods declared in class java.rmi.RemoteException

  `getCause, getMessage`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccessException

    public AccessException(String s)
    Constructs an `AccessException` with the specified detail message.
    Parameters:
      `s` - the detail message
    Since:
      1.1

  - ### AccessException

    public AccessException(String s, Exception ex)
    Constructs an `AccessException` with the specified detail message and nested exception.
    Parameters:
      `s` - the detail message
      `ex` - the nested exception
    Since:
      1.1